Bug 51618 - [PATCH] Use SSL_MODE_RELEASE_BUFFERS to reduce memory usage
Summary: [PATCH] Use SSL_MODE_RELEASE_BUFFERS to reduce memory usage
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_ssl (show other bugs)
Version: 2.5-HEAD
Hardware: All Linux
: P2 enhancement (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2011-08-05 00:37 UTC by Cristian Rodríguez
Modified: 2012-02-26 17:13 UTC (History)
0 users



Attachments
SSL_MODE_RELEASE_BUFFERS (1.09 KB, patch)
2011-08-05 00:37 UTC, Cristian Rodríguez
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cristian Rodríguez 2011-08-05 00:37:49 UTC
Created attachment 27351 [details]
SSL_MODE_RELEASE_BUFFERS

The attached patch introduces usage of SSL_MODE_RELEASE_BUFFERS mode when available so  SSL connections use less memory..

See:

http://www.imperialviolet.org/2010/06/25/overclocking-ssl.html

Tested against 2.2 but the attached patch is against trunk.
Comment 1 Stefan Fritsch 2011-10-01 19:49:15 UTC
committed to trunk as r1178079 (depending on MaxMemFree being set)
Comment 2 Stefan Fritsch 2012-02-26 17:13:00 UTC
fixed in 2.4.1